# sendmouseevents

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### sendmouseevents

sends mouse events to the local system. This means that the mouse events will affect both local and remote applications.

**Category: Sessions**

```
AppServerClientCLI sendmouseevents -events "move:100,100.leftdown.leftup." [-wait 5000] [-delay 200]  
```

### Arguments

* **`events (mandatory)`** Mouse events which are sent to the local system. See Notes.
* **`wait (optional)`** Wait for the specified number of milliseconds before sending the first event.
* **`delay (optional)`** Delay between each additional event specified in milliseconds.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidArgs - Some arguments are missing or invalid\
Exception - System problem

### Examples:

AppServerClientCLI sendmouseevents -events move:400,600.leftdown. -delay 20\
AppServerClientCLI sendmouseevents -events move:500,600.move:500,700. -delay 20\
AppServerClientCLI sendmouseevents -events move:400,700.move:400,600.leftdown. -delay 20

### Notes:

Can be used without any session running.\
Can send the following events:\
leftdown, leftup, middleup, middledown, rightup, rightdown, and move:x,y.\
If you send multiple events in the same command, you need to separate them by a full stop.\
The move event requires the x and y coordinates relative to the screen (e.g., move:100,100).

### See also:

[sendkeys](/landing/ras-windows-cli-guide/v20/commands/sendkeys.md)\
[sendkeyboardevents](/landing/ras-windows-cli-guide/v20/commands/sendkeyboardevents.md)\
[getsessionsinfo](/landing/ras-windows-cli-guide/v20/commands/getsessionsinfo.md)\
[disconnectsession](/landing/ras-windows-cli-guide/v20/commands/disconnectsession.md)\
[uploadfile](/landing/ras-windows-cli-guide/v20/commands/uploadfile.md)\
[downloadfile](/landing/ras-windows-cli-guide/v20/commands/downloadfile.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/sendmouseevents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
